Python API
==========

.. Summary

.. currentmodule:: isaacsim.asset.transformer

.. rubric:: models
.. autosummary::
    :nosignatures:

    ~models.RuleConfigurationParam
    ~models.RuleSpec
    ~models.RuleProfile
    ~models.RuleExecutionResult
    ~models.ExecutionReport

.. rubric:: rule_interface
.. autosummary::
    :nosignatures:

    ~rule_interface.RuleInterface

.. rubric:: manager
.. autosummary::
    :nosignatures:

    ~manager.RuleRegistry
    ~manager.AssetTransformerManager

|

.. API

Models
^^^^^^

.. autoclass:: isaacsim.asset.transformer.models.RuleConfigurationParam
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.asset.transformer.models.RuleSpec
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.asset.transformer.models.RuleProfile
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.asset.transformer.models.RuleExecutionResult
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.asset.transformer.models.ExecutionReport
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

|

Rule Interface
^^^^^^^^^^^^^^

.. autoclass:: isaacsim.asset.transformer.rule_interface.RuleInterface
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

|

Manager
^^^^^^^

.. autoclass:: isaacsim.asset.transformer.manager.RuleRegistry
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:

.. autoclass:: isaacsim.asset.transformer.manager.AssetTransformerManager
    :members:
    :undoc-members:
    :inherited-members:
    :show-inheritance:
